Bug 1364309 - Should not show warnings about no CPU request when create hpa on dc with cpu limits set
Summary: Should not show warnings about no CPU request when create hpa on dc with cpu ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 03:02 UTC by Yanping Zhang
Modified: 2017-03-08 18:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 12:55:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
create-hpa (124.58 KB, image/png)
2016-08-05 03:06 UTC, Yanping Zhang
no flags Details
after-create-hpa (172.90 KB, image/png)
2016-08-05 03:06 UTC, Yanping Zhang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Yanping Zhang 2016-08-05 03:02:41 UTC
Description of problem:
After create app with cpu limits set on web console, on dc page click "Add autoscaler" to create hpa, it always show warning info "This deployment config does not have any containers with a CPU request set. Autoscaling will not work without a CPU request." In fact, containers will have cpu requests set as cpu limits automatically, and autoscaling can work.

Version-Release number of selected component (if applicable):
OpenShift v3.3.0.14
Kubernetes v1.3.0+57fb9ac


How reproducible:
Always

Steps to Reproduce:
Metrics is deployed in advance.
1.Create app from image with cpu limits set on web console.
2.Click "Add autoscaler" to create hpa on dc page.
3.Check dc page after hpa was created.

Actual results:
1.App is created successfully
2.Show warning info on hpa creation page:"This deployment config does not have any containers with a CPU request set. Autoscaling will not work without a CPU request." , and could create hpa successfully.
3.There is also warning info: "This deployment config does not have any containers with a CPU request set. Autoscaling will not work without a CPU request. Set resource requests and limits"

Expected results:
2,3, Should no warning info.

Additional info:

Comment 1 Yanping Zhang 2016-08-05 03:06:27 UTC
Created attachment 1187733 [details]
create-hpa

Comment 2 Yanping Zhang 2016-08-05 03:06:57 UTC
Created attachment 1187734 [details]
after-create-hpa

Comment 4 Jessica Forrester 2016-08-05 20:39:03 UTC
merging to origin in https://github.com/openshift/origin/pull/10253

Comment 5 Jessica Forrester 2016-08-05 20:41:11 UTC
sorry forgot this was an OCP bug, leaving as assigned to origin PR merges

Comment 6 Yanping Zhang 2016-08-12 03:20:02 UTC
Tested on openshift v3.3.0.18. After create app with cpu limits set on web console, when create hpa or after created hpa, will not show warning info about no cpu request now.
The bug has been fixed, so move it to Verified.


Note You need to log in before you can comment on or make changes to this bug.